package com.bohuikeji.delivery.backstage.entity.baidu;

import lombok.Data;

@Data
public class BaiduPayReq {
    /**
     *百度收银台用户 ID
     */
    private Long userId;
    /**
     * 百度交易号
     */
    private String orderId;
    /**
     * 单位：分
     */
    private Integer unitPrice;
    /**
     * 数量
     */
    private Integer count;
    /**
     * 订单的实际金额（单位：分）
     */
    private Integer totalMoney;
    /**
     * 订单实际支付金额
     */
    private Integer payMoney;
    /**
     * 营销优惠金额
     */
    private Integer promoMoney;
    /**
     * 红包支付金额
     */
    private Integer hbMoney;
    /**
     * 余额支付金额
     */
    private Integer hbBalanceMoney;
    /**
     * 抵用券金额
     */
    private Integer giftCardMoney;
    /**
     *百度收银台的财务结算凭证
     */
    private String dealId;
    /**
     * 支付时间
     */
    private Integer payTime;
    /**
     * 订单参与的促销优惠的详细信息
     */
    private Object promoDetail;
    /**
     * 支付渠道
     */
    private Integer payType;
    /**
     * 订单状态
     */
    private Integer status;
    /**
     * 交易单号
     */
    private String tpOrderId;
    /**
     * 开发者下单时传入的数据
     */
    private Object returnData;
    /**
     * 签名
     */
    private String rsaSign;


    private Integer partnerId;

}
