package com.bohuikeji.delivery.backstage.entity.third;

import com.alibaba.fastjson.JSONObject;
import com.bohuikeji.frame.module.admin.base.SuperBase;
import lombok.Data;
import java.math.BigDecimal;

/**
 * 订单详情VO
 * @author Admin
 */
@Data
public class OrderDetailDO extends SuperBase{

    /**
     * 第三方名称
     */
    String thirdName;
    /**
     * 第三方订单号
     */
    String thirdNum;
    /**
     * 系统订单号
     */
    String orderNumber;
    /**
     * 订单距离
     */
    String distance;
    /**
     * 订单价格
     */
    BigDecimal orderPrice;
    /**
     * 订单价格说明
     */
    String priceDesc;
    /**
     * 订单状态
     */
    String status;

    /**
     * 状态说明
     */
    String statusDesc="";

    /**
     * 骑手姓名
     */
    String courierName="";
    /**
     * 骑手电话
     */
    String courierPhone="";
    /**
     * 骑手当前位置
     */
    String courierLocation="";
    /**
     * 预计送达时间
     */
    String estimateTime="";

    JSONObject kdJson;

    /**
     * 获取骑手信息
     * @return
     */
    public String courierInfo(){
        return this.courierName+"("+this.courierPhone+")";
    }



}
