package com.bohuikeji.delivery.backstage.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bohuikeji.delivery.backstage.entity.TCourierPay;
import com.bohuikeji.delivery.backstage.entity.TOrder;
import com.bohuikeji.delivery.backstage.entity.TPay;
import com.bohuikeji.frame.module.admin.base.ServiceBase;
import com.bohuikeji.frame.module.admin.entity.vo.AliReturnPayVo;

import java.util.Map;

/**
 * <p>
 * 派送员入驻缴费记录 服务类
 * </p>
 *
 * @author 10552
 * @since 2019-12-27
 */
public interface ITCourierPayService extends ServiceBase<TCourierPay> {

    /**
     * 入住缴费创建预支付单
     * @param playerId
     * @param price
     * @param payWay
     * @param scenario
     * @return
     */
    TCourierPay courierCreatePay(Integer playerId,String price,String payWay,String scenario);

    /**
     * 微信&支付宝入驻缴费回调，业务处理
     * @param req
     * @param tCourierPay
     * @param jsonObject
     * @return
     */
    boolean updateCourierPay(AliReturnPayVo req,TCourierPay tCourierPay,JSONObject jsonObject);

}
