package com.bohuikeji.delivery.backstage.service;

import com.bohuikeji.delivery.backstage.entity.TOrderArrears;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bohuikeji.frame.module.admin.base.ServiceBase;

import java.math.BigDecimal;

/**
 * <p>
 * 欠费订单表 服务类
 * </p>
 *
 * @author sjh
 * @since 2022-03-15
 */
public interface ITOrderArrearsService extends ServiceBase<TOrderArrears> {

    /**
     * 插入催缴记录，如没有则生成
     * @param orderNum 订单号
     * @param phone 发送催缴短信的号码
     * @param gmsCode 发送催缴短信模板
     * @param price 欠款金额
     * @param url 付款链接
     * @return
     */
    TOrderArrears insertRecord(String orderNum, String phone,String gmsCode, BigDecimal price,String url);

    /**
     * 插入催缴记录
     * @param id
     * @param phone
     * @param text
     * @return
     */
    TOrderArrears insertRecord(Integer id,String phone,String text);


}
