package com.bohuikeji.delivery.backstage.service;

import com.bohuikeji.delivery.backstage.entity.TCourierWithdraw;
import com.bohuikeji.delivery.backstage.entity.TStoreWallet;
import com.bohuikeji.delivery.backstage.entity.TStoreWalletDetail;
import com.bohuikeji.delivery.backstage.entity.TStoreWalletPay;
import com.bohuikeji.frame.module.admin.base.ServiceBase;

/**
 * <p>
 * 加盟商门店详情 服务类
 * </p>
 *
 * @author 10552
 * @since 2019-12-27
 */
public interface ITStoreWalletDetailService extends ServiceBase<TStoreWalletDetail> {

    /**
     * 考核钱包明细
     * @param courierWithdraw
     * @param storeWallet
     * @return
     */
    TStoreWalletDetail saveDetail(TCourierWithdraw courierWithdraw,TStoreWallet storeWallet);

    /**
     * 门店钱包充值钱包明细
     * @param
     * @param storeWallet
     * @return
     */
    TStoreWalletDetail savewalletDetail(TStoreWalletPay walletPay,TStoreWallet storeWallet);

}
