package com.bohuikeji.delivery.backstage.service;

import com.alibaba.fastjson.JSONObject;
import com.bohuikeji.delivery.backstage.entity.TStoreWalletPay;
import com.bohuikeji.frame.module.admin.base.ServiceBase;

/**
 * <p>
 * 加盟商门店详情 服务类
 * </p>
 *
 * @author 10552
 * @since 2019-12-27
 */
public interface ITStoreWalletPayService extends ServiceBase<TStoreWalletPay> {

    /**
     * 门店钱包充值
     * @param playerId
     * @param price
     * @param payWay
     * @param scenario
     * @return
     */
    TStoreWalletPay storeWalletCreatePay(Integer franId,String price,String payWay,String scenario);

    /**
     * 订单打赏业务处理
     * @param jsonObject
     * @param rewardPay
     * @return
     */
    boolean wxWalletPay(JSONObject jsonObject, TStoreWalletPay walletPay);


}
