package com.bohuikeji.delivery.backstage.service;

import com.bohuikeji.delivery.backstage.entity.TCourier;
import com.bohuikeji.delivery.backstage.entity.TCourierWithdraw;
import com.bohuikeji.delivery.backstage.entity.TStoreWallet;
import com.bohuikeji.frame.module.admin.base.ServiceBase;

/**
 * <p>
 * 加盟商门店钱包 服务类
 * </p>
 *
 * @author 10552
 * @since 2019-12-27
 */
public interface ITStoreWalletService extends ServiceBase<TStoreWallet> {
    /**
     * 钱包充值
     * @param courierWithdraw
     * @return
     */
    boolean saveWallet(TCourierWithdraw courierWithdraw);

    /**
     *考核钱包充值
     * @param courier
     * @param courierWithdraw
     * @return
     */
    TStoreWallet fineWallet(TCourier courier,TCourierWithdraw courierWithdraw);



}
