package com.bohuikeji.delivery.backstage.service;

import com.alibaba.fastjson.JSONObject;
import com.alipay.api.response.AlipayFundTransUniTransferResponse;
import com.bohuikeji.delivery.backstage.entity.*;
import com.bohuikeji.frame.module.admin.base.ServiceBase;

import java.util.Map;

/**
 * <p>
 * 支付交易信息表 服务类
 * </p>
 *
 * @author 10552
 * @since 2019-12-27
 */
public interface ITwxtransfersService extends ServiceBase<TWxtransfers> {

    /**
     * 创建预提现订单
     * @param tCustomerWallet
     * @return
     * @throws Exception
     */
    TWxtransfers createTransters(TCustomerWallet tCustomerWallet);

    /**
     * 审核客户钱包提现
     * @param type
     * @param tCustomerWallet
     * @param tCustomer
     * @return
     */
    JSONObject wXAndAliWithdrawal(String type,TCustomerWallet tCustomerWallet,TCustomer tCustomer);

    /**
     * 更改充值赠送金额
     * @param tCustomerWallet
     */
    void updateGivePirce(TCustomerWallet tCustomerWallet);

    /**
     * 更改钱包记录与提现记录
     */
    void updateWalletAndTransfers(String type,TWxtransfers tWxtransfers,TCustomerWallet tCustomerWallet,TCustomer tCustomer,Map<String, String> rs,AlipayFundTransUniTransferResponse res);


}
