package com.bohuikeji.frame.module.admin.annotation;

import com.bohuikeji.frame.module.admin.enums.ColumnWayEnum;

import java.lang.annotation.*;

/**
 * 列自动填充
 */
@Target({ElementType.FIELD})
@Inherited
@Documented
@Retention(RetentionPolicy.RUNTIME)
public @interface TableAutoFillField {
    ColumnWayEnum way() default ColumnWayEnum.AUTO_ADD;
    //Strig
}
