package com.bohuikeji.frame.module.admin.entity.mq;

import com.bohuikeji.frame.module.admin.base.MqListener;
import lombok.Data;
import java.io.Serializable;

/**
 * 消息队列消息体
 * @author sjh
 * @param <T>
 */
@Data
public class MqMsg<T> implements Serializable {

    /**
     * 消息体
     */
    T data;
    /**
     * 接收者
     */
    Class<?extends MqListener<T>> listener;

    /**
     * 构造方法
     * @param msg
     * @param listener
     */
    public MqMsg(T msg, Class<? extends MqListener<T>> listener) {
        this.data=msg;
        this.listener=listener;
    }
}
