package com.bohuikeji.frame.module.admin.entity.sys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.bohuikeji.frame.module.admin.base.EntityBase;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * 打印实体类
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class SysPrint extends EntityBase {

    @TableId(value = "print_id", type = IdType.AUTO)
    private Integer printId;

    @TableField("print_num")
    private String printNum;

    @TableField("print_time")
    private LocalDateTime printTime=LocalDateTime.now();

    @TableField("print_model")
    private String printModel;

    @TableField("print_model_id")
    private Integer printModelId;

    @TableField("print_model_num")
    private String printModelNum;

    @TableField("print_file")
    private String printFile;

    @TableField("print_user")
    private Integer printUser;

    @TableField("print_desc")
    private String printDesc;

    @TableField("print_status")
    private String printStatus;

}
