package com.bohuikeji.frame.module.admin.entity.wxV3Refund;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@ApiModel(value="AmountRefund对象", description="微信v3版本退款金额详情")
public class AmountRefund {

    /**
     *退款金额
     */
    private int refund;

    /**
     *原订单金额
     */
    private int total;

    /**
     *退款币种
     */
    private String currency;
}
