package com.bohuikeji.frame.module.admin.entity.wxV3Refund;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@ApiModel(value="GoodsDetail对象", description="微信v3版本退款商品")
public class GoodsDetail {

    /**
     *商户侧商品编码
     */
    private int merchant_goods_id;
    /**
     *微信侧商品编码
     */
    private int wechatpay_goods_id;
    /**
     *商品名称
     */
    private int goods_name;
    /**
     *商品单价
     */
    private int unit_price;
    /**
     *商品退款金额
     */
    private int refund_amount;
    /**
     *商品退货数量
     */
    private int refund_quantity;

}
