package com.bohuikeji.frame.module.admin.entity.wxV3Refund;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@ApiModel(value="refund对象", description="微信v3版本退款功能")
public class Refund {

    /**
     * 微信支付订单号。
     */
    private String transaction_id;

    /**
     * 商户订单号
     */
    private String out_trade_no;

    /**
     * 商户退款单号
     */
    private String out_refund_no;

    /**
     * 退款原因
     */
    private String reason;

    /**
     * 退款结果回调url
     */
    private String notify_url;

    /**
     * 退款资金来源
     */
    private String funds_account;

    /**
     * 金额信息
     */
    private AmountRefund amountRefund;

    /**
     * 退款商品
     */
    private GoodsDetail goods_detail;
}
