package com.bohuikeji.delivery.backstage.constants;

/**
 *
 * 系统各种查询KEY，常量
 * @author 孙劲辉
 */
public class KeyConst {

    /**
     *  骑手位置RedisKey
     */
    public static final String REDIS_COURIER_ADDRESS="courier:address:";

    /**
     * 骑手位置上报缓存
     */
    public static final String REDIS_COURIER_REPORT="courier:report:";

    /**
     * 骑手最后一次在线位置，保留30天
     */
    public static final String REDIS_COURIER_LAST_ADDRESS="courier:last:address:";
    /**
     * 骑手位置信息，
     */
    public static final String REDIS_COURIER_LOCATION_ADDRESS="courier:location:";
    /**
     * 骑手大客户
     */
    public static final String REDIS_COURIER_CUSTOMER_BIG="courier:customer:big:";
    /**
     * 骑手App版本
     */
    public static final String REDIS_COURIER_APP_VERSION="courier:app:version:";
}
