package com.bohuikeji.delivery.backstage.entity.open.vo;


import com.bohuikeji.delivery.backstage.entity.open.VoBase;
import com.bohuikeji.frame.module.admin.entity.vo.AddressVo;
import lombok.Data;

/**
 * 骑手信息返回实体
 * @author 孙劲辉
 */
@Data
public class CourierVo extends VoBase<OrderRecordVo> {
    //private String courierNumber;

    /**
     * 配送员姓名
     */
    private String courierName;

    /**
     * 配送员手机号
     */
    private String courierPhone;

    /**
     * 配送员性别
     */
    private String courierGender;

    /**
     * 配送员职位类型
     */
    private String courierType;

    /**
     * 骑手最后在线位置
     */
    private AddressVo lastLocation;
}
