package com.bohuikeji.delivery.backstage.entity.open.vo;

import com.bohuikeji.delivery.backstage.entity.open.VoBase;
import lombok.Data;

import java.util.List;

/**
 * 订单分页对象Vo
 * @author 孙劲辉
 */
@Data
public class PageVo<T> extends VoBase<PageVo<T>> {
    /**
     * 当前记录数
     */
    long size;
    /**
     * 数据总条数
     */
    long total;

    /**
     * 当前页号
     */
    long current;

    /**
     * 总页数
     */
    long pages;

    /**
     * 订单记录数据
     */
    List<T> list;
}
