package com.bohuikeji.delivery.backstage.service;

import com.bohuikeji.delivery.backstage.entity.TCourier;
import com.bohuikeji.delivery.backstage.entity.TCourierWorkExam;
import com.bohuikeji.frame.module.admin.base.ServiceBase;

/**
 * <p>
 * 加盟商门店钱包 服务类
 * </p>
 *
 * @author 10552
 * @since 2019-12-27
 */
public interface ITCourierWorkExamService extends ServiceBase<TCourierWorkExam> {

    /**
     * 计算考核奖励累计金额
     * @param courier
     * @param codeNum
     * @return
     */
    Object bonusCount(TCourier courier, String codeNum);

    /**
     * 计算考核惩罚累计金额
     * @param courier
     * @param codeNum
     * @return
     */
    Object fineCount(TCourier courier, String codeNum);

}
