package com.bohuikeji.delivery.backstage.service;

import com.bohuikeji.delivery.backstage.entity.TCustomer;
import com.bohuikeji.delivery.backstage.entity.TCustomerAddress;
import com.bohuikeji.frame.module.admin.base.ServiceBase;
import com.bohuikeji.frame.module.admin.entity.vo.AddressVo;

/**
 * <p>
 * 客户地址管理表 服务类
 * </p>
 *
 * @author 10552
 * @since 2019-08-22
 */
public interface ITCustomerAddressService extends ServiceBase<TCustomerAddress> {

    /**
     * 修改地址
     */
    public TCustomerAddress updateAdress(Integer custAddId,String name, String phone, AddressVo addressJson, String defaultAddress,String locationAddress);

    void setLogoList(String logoUrl, TCustomer customer);

}
