package com.bohuikeji.delivery.backstage.service;

import com.bohuikeji.delivery.backstage.entity.TCustomerWallet;
import com.bohuikeji.frame.module.admin.base.ServiceBase;

import java.io.Serializable;

/**
 * <p>
 * 客户钱包 服务类
 * </p>
 *
 * @author 10552
 * @since 2019-12-27
 */
public interface ITCustomerWalletService extends ServiceBase<TCustomerWallet> {

    /**
     * 使用客户ID查询钱包
     * @param customerId
     * @return
     */
    public TCustomerWallet getByCustomerId(Serializable customerId);

}
