package com.bohuikeji.delivery.backstage.service;

import com.alibaba.fastjson.JSONArray;
import com.bohuikeji.delivery.backstage.entity.TLocation;
import com.bohuikeji.frame.module.admin.base.ServiceBase;
import com.bohuikeji.frame.module.admin.entity.vo.AddressVo;

/**
 * <p>
 * 派送员位置Service
 * </p>
 *
 * @author 10552
 * @since 2019-08-22
 */
public interface ITLocationService extends ServiceBase<TLocation> {

    /**
     * 插入一条位置记录
     * @param courierId
     * @param address
     * @param type
     * @return
     */
    boolean insertLocation(Integer courierId, AddressVo address,String type);

    /**
     * 获取派送员轨迹位置数组
     * @param courier
     * @return
     */
    JSONArray getLocationArray(Integer courierId);


}
