package com.bohuikeji.delivery.backstage.service;

import com.alibaba.fastjson.JSONObject;
import com.bohuikeji.delivery.backstage.entity.TCustomer;
import com.bohuikeji.delivery.backstage.entity.TMaltField;
import com.bohuikeji.delivery.backstage.entity.TOrder;
import com.bohuikeji.frame.module.admin.base.ServiceBase;

public interface ITMaltFieldService extends ServiceBase<TMaltField> {

    void saveMalt(JSONObject jsonObject, TCustomer customer) throws Exception;

    /**
     * 麦芽田订单信息初始化
     * @param data
     * @return
     */
    TOrder openOrderInit(JSONObject data);

    /**
     * 响应示例
     * @param command
     * @param jsonObject
     * @return
     * @throws Exception
     */
    JSONObject getbody(String command,JSONObject jsonObject) throws Exception;
}
