package com.bohuikeji.delivery.backstage.service;

import com.alibaba.fastjson.JSONObject;
import com.bohuikeji.delivery.backstage.entity.TCourier;
import com.bohuikeji.delivery.backstage.entity.TOrder;
import com.bohuikeji.delivery.backstage.entity.TRewardPay;
import com.bohuikeji.frame.module.admin.base.ServiceBase;

/**
 * <p>
 * 支付交易信息表 服务类
 * </p>
 *
 * @author 10552
 * @since 2019-12-27
 */
public interface ITRewardPayService extends ServiceBase<TRewardPay> {



    /**
     * 订单业务创建预支付单（微信，支付宝）
     * @return
     */
    TRewardPay createRewardPay(TOrder order,String price,String scenario,String payMethod,String payWay,Integer serviceNum,Integer speedNum);


    /**
     * 订单打赏业务处理
     * @param jsonObject
     * @param rewardPay
     * @return
     */
    TRewardPay wxRewardPay(JSONObject jsonObject,TRewardPay rewardPay);

    /**
     * 计算订单打赏累计金额
     * @param courier
     * @param codeNum
     * @return
     */
    Object RewardCount(TCourier courier,String codeNum);


}
