package com.bohuikeji.frame.module.admin.controller.api;

import com.bohuikeji.frame.module.admin.utils.MinioUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

/**
 * 系统后台管理系统使用的API
 */
@Api(hidden = true)
@RestController
@RequestMapping("/api/admin")
public class AdminApi {
    /**
     * 上传文件
     * @return
     */
    @ApiOperation(value = "客户端上传文件",hidden = true)
    @PostMapping("/upload/files")
    public String uploadFiles(@RequestParam("files") MultipartFile[] files){
        return MinioUtil.uploadFiles(files);
    }

}
