package com.bohuikeji.frame.module.admin.entity.JSAPI;

import com.bohuikeji.frame.module.admin.base.EntityBase;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@ApiModel(value="WxPayBo对象", description="微信支付参数表")
public class WxPayBo extends EntityBase {

    /**
     * 直连商户申请的公众号或移动应用appid。
     */
    private String appid;
    /**
     * 直连商户号。
     */
    private String mchid;
    /**
     * 商品描述。
     */
    private String description;
    /**
     * 商户订单号
     */
    private String out_trade_no;
    /**
     * 交易结束时间。
     */
    private String time_expire;
    /**
     * 附加数据。
     */
    private String attach;
    /**
     * 通知地址/回调地址。
     */
    private String notify_url;
    /**
     * 订单优惠标记。
     */
    private String goods_tag;
    /**
     * 订单金额。
     */
    private Amount amount;
    /**
     * 支付者。
     */
    private Payer payer;
    /**
     * 优惠功能。
     */
    private Detail detail;
    /**
     * -场景信息。
     */
    private SceneInfo scene_info;
}
