package com.bohuikeji.frame.module.admin.service;

import org.springframework.http.ResponseEntity;

import javax.servlet.http.HttpServletRequest;

/**
 * 反向代理服务
 * @author 孙劲辉
 */
public interface IRoutingDelegate {
    /**
     * 执行代理请求
     * @param request 源request
     * @param url 代理目标地址
     * @return 返回目标地址ResponseEntity
     */
    ResponseEntity<String> redirect(HttpServletRequest request,String url);
}
