package com.bohuikeji.frame.module.admin.task;

import java.util.HashMap;

/**
 * 任务接口
 * @author ：孙劲辉
 * @date ：Created in 2021/6/29 7:50
 * @description：任务接口
 * @modified By：
 * @version: $
 */
public interface  Task {

    /**
     * 延时时间
     * @return 返回延时时间(ms)
     */
    long delayTime();


    /**
     * 执行任务
     * @param params 任务参数
     */
    void runTask(HashMap<String,Object> params);

}
